#i docbook_man.tm

#d arg#1 <arg>$1</arg>\__newline__
#d id \command{imdisplay}
#d slang \literal{S-Lang}
#d slsh \literal{slsh}

\manpage{imdisplay}{1}{Render a stack of still images or display an animation}

\mansynopsis{\id}{
  \manarg_req{FileName_or_TransformOption} \manarg_rep{}
}

\refsect1{DESCRIPTION}
  \p
  \id is a \slang / Gtk utility which accepts an arbitrary number of images
  as input and by default renders them stacked upon one another, respecting
  transparency.  The composite image may be easily tiled or scaled, as well
  as automatically scrolled for images too large to fit reasonably within
  your display.  Pressing any button while the mouse is positioned over the
  image will show the color value for that pixel, in either RGB or RGBA
  format (for images with an alpha channel); an alpha value of 1.0 indicates
  that the pixel is fully opaque, while 0.0 indicates full transparency.
  
  Images may also be displayed in one of several alternate modes:  First,
  the panes option causes each input image to be displayed within its own
  window, tiled either vertically or horizontally;  second, the 'anim'
  option may be used to animate a series of 2D still images, with the
  ability to pause and step forward/backward between frames; finally,
  'anim' can also animate 3D volumes (as series of 2D slices), although
  this is often not necessary because; \id will automatically animate
  3D arrays of dimension [N, M, Z>4] (as they are clearly not RGBA images),
  as well as images specified via Array_Type[N] and List_Type[N].

  By default image windows are chained to each other, and the control window,
  so that all may be moved onscreen, at once, simply by moving the master.

  \id may be used as either a self-contained executable script or as
  a \slang function.   When invoked as function (e.g. from the slsh
  prompt or a \slang script) the input images may be specified as
  either filenames, raw S-Lang arrays of varying dimensionality, or
  GdkPixbufs.   When invoked from the operating system command line the
  input images must be filenames.  If any input image in a composite
  contains an alpha channel (transparency) then the rendered result
  will as well.

  \p
  \id supports a wide variety of input file formats, including
  JPEG, PNG, GIF, XPM, TIFF, animations, and (optionally) the FITS file
  format popular in astronomy.  The rendered result may also be saved
  to a variety of formats, including JPEG, PNG, GIF (still and animated),
  and FITS.  The range of supported formats depends upon how Gtk and
  SLgtk were compiled.

  \p
   Comma-delimited options to \id may be specified either as strings within
   the argument list or via qualifiers separated from the argument list
   by a semicolon.  Most options affect the composite image just prior to
   display, and include:
#v+
   anim[=delay]  	Animate input images into a movie.  The optional
				frame refresh delay should be a single
				scalar value in milliseconds, and defaults
				to 500 (0.5 sec) if omitted.

   fill=<rule>		How to fill new space created in image display
			     window when it is enlarged; may be one of

				none    no fill; keep original image
				tile    fill with consecutive image copies
				scale   fill by enlarging image to fit

   flip			Mirror the image vertically
   flop			Mirror the image horizontally

   panes=<layout>	How to display multiple images; layout may be one of

				one | single	composite all images into
							one window (the default)
 				horiz[ontal]	tile images horizontally
				vert[ical]	tile images vertically

				No compositing is performed for horizontal or
				or vertical tiling.

   horiz[ontal]  	Shorthand for panes=horiz[ontal]
   vert[ical]   	Shorthand for panes=vert[ical]

   save=<name>[/type]   Instead of rendering image(s) onscreen, save to
				the named file; a file type may be specified
				via a /gif, /png, etc. optional qualifier
				[see _gdk_pixbuf_get_formats()] or inferred
				from the file extension; if no file type can
				be determined then still images will be saved
				in PNG format; animations are always saved
				in GIF format.

   size=<geometry>	Resize the image; geometry may be either
				be a scaling percentage or an absolute
				pixel size, such as 150x200% or 100x300;
				when only one value is provided it will
				be applied to both axes of the image.

   scale=<geometry>	Synonym for size= option.
#v-
  \p
  At launch all of the windows created by imdisplay will be chained: e.g.
  the control window will be chained to the window of the last image
  loaded, meaning that the controller will follow the image window around
  onscreen when the latter is moved; when the controller is moved its new
  gravity (i.e. placement relative to the image) will be remembered.  An
  entire vertical (or horizontal) tiling of windows may be moved simply
  by moving its top- (or left-) most window.

  To disable chaining, ensure that the slave window you wish to unchain
  has focus, then hold down the SHIFT key while moving the slave.  This
  will disconnect the slave from its own master, but leave intact any
  chains in which the slave is itself a master.

  \p-end
\refsect1-end

#d man_options_entry#2 \varlistentry{\term{$1}}{\p $2 \p-end}\__newline__

\refsect1{AUTHOR}
  \p
  The author of SLgtk and imdisplay is Michael S. Noble <mnoble@space.mit.edu>.
  Rafael Laboissiere <rafael@debian.org> created the SLgtk package for
  Debian and helped author this man page.
  \pp
  Permission is granted to copy, distribute and/or modify
  this document under the terms of the GNU General Public License,
  Version 2 any later version published by the Free Software
  Foundation.
  \pp
  On Debian systems, the complete text of the GNU General Public
  License can be found in \filename{/usr/share/common-licenses/GPL}
\p-end
\refsect1-end

\refsect1{SEE ALSO}
   \p
   On Debian systems the reference manual for SLgtk can be found at
   /usr/share/doc/slang-gtk/slgtk.txt.gz.   It is also available in
   HTML, PDF, and text formats on the SLgtk website.
\refsect1-end

\manpage-end
